Last Comment Bug 639418 - nanojit: add OPCODE and IMM8 to i386 backend
: nanojit: add OPCODE and IMM8 to i386 backend
Status: RESOLVED FIXED
fixed-in-nanojit, fixed-in-tracemonke...
:
Product: Core Graveyard
Classification: Graveyard
Component: Nanojit (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nicholas Nethercote [:njn]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-06 21:08 PST by Nicholas Nethercote [:njn]
Modified: 2014-03-17 08:00 PDT (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (against TM 63014:513774b1e88e) (26.68 KB, patch)
2011-03-06 21:08 PST, Nicholas Nethercote [:njn]
rreitmai: review+
Details | Diff | Review

Description Nicholas Nethercote [:njn] 2011-03-06 21:08:55 PST
Created attachment 517346 [details] [diff] [review]
patch (against TM 63014:513774b1e88e)

This patch gets rid of all naked _nIns writes, replacing them with functions like OPCODE and IMM8 which make the meaning of the bytes clearer.
Comment 2 Tamarin Bot 2011-03-14 16:16:20 PDT
changeset: 6083:43242d41caec
user:      Nicholas Nethercote <nnethercote@mozilla.com>
summary:   Bug 639418 - nanojit: add OPCODE and IMM8 to i386 backend.  r=rreitmai.

http://hg.mozilla.org/tamarin-redux/rev/43242d41caec
Comment 3 Nicholas Nethercote [:njn] 2011-05-24 02:29:37 PDT
http://hg.mozilla.org/mozilla-central/rev/b445bf49c96c

Note You need to log in before you can comment on or make changes to this bug.